Bug 12975 - Changing the password with 'smbpasswd' as a local user on a domain member doesn't work
Changing the password with 'smbpasswd' as a local user on a domain member doe...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.6.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-18 14:23 UTC by Andreas Schneider
Modified: 2017-08-30 07:17 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.7 (12.63 KB, patch)
2017-08-23 15:18 UTC, Andreas Schneider
jra: review+
Details
patch for 4.6 (12.63 KB, patch)
2017-08-23 15:21 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-08-18 14:23:56 UTC
Changing the password with 'smbpasswd' as a local user on a domain member doesn't work.

It fails because it tries to lookup the user using winbind. It doesn't try auth_sam.

Patch will follow.
Comment 1 Andreas Schneider 2017-08-23 15:18:10 UTC
Created attachment 13494 [details]
patch for 4.7
Comment 2 Andreas Schneider 2017-08-23 15:21:43 UTC
Created attachment 13496 [details]
patch for 4.6
Comment 3 Jeremy Allison 2017-08-23 22:28:02 UTC
Reassigning to Karolin for inclusion in 4.7.0, 4.6.next.
Comment 4 Karolin Seeger 2017-08-28 08:42:24 UTC
Pushed to autobuild-v4-{6,7}-test.
Comment 5 Karolin Seeger 2017-08-30 07:17:10 UTC
Pushed to both branches.
Closing out bug report.

Thanks!